KWIN_CLEAR(3)

FUNCTION
kwin_clear - Clear a rectangular portion of a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_clear

(KPixCanvas canvas, int x, int y, int width, int height)

DESCRIPTION
Clear a rectangular portion of a pixel canvas.

canvas
    The canvas.

x   The horizontal offset of the rectangle.

y   The vertical offset of the rectangle.

width
    The width of the rectangle. If this is less than 0 the pixel canvas is cleared to its right edge.

height
    The height of the rectangle. If this is less than 0 the pixel canvas is cleared to its bottom edge.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
To clear the entire canvas, the following should be used: kwin_clear (canvas, 0, 0, -1, -1);

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/